---------------------
PatchSet 67 
Date: 2005/04/29 20:48:18
Author: jhoblitt
Branch: HEAD
Tag: (none) 
Log:
add autogen.sh
tidy AC & AM initialization
tidy list of AC processed files
update Makefile.cvs

Members: 
	Makefile.cvs:1.1->1.2 
	autogen.sh:INITIAL->1.1 
	configure.ac:1.1->1.2 

Index: psmodule/Makefile.cvs
diff -u psmodule/Makefile.cvs:1.1 psmodule/Makefile.cvs:1.2
--- psmodule/Makefile.cvs:1.1	Tue Feb 15 10:30:11 2005
+++ psmodule/Makefile.cvs	Fri Apr 29 10:48:18 2005
@@ -1,9 +1,9 @@
 default: all
 
 all:
-	if [ "`which glibtoolize`" != "" ] ; then glibtoolize --force ; else libtoolize --force ; fi
-	aclocal
-	autoheader
-	automake
-	autoconf
+	if [ "`which glibtoolize 2> /dev/null`" != "" ] ; then glibtoolize --force ; else libtoolize --force ; fi
+	aclocal --force
+	autoheader --force
+	automake --add-missing --force
+	autoconf --force
 
--- /dev/null	2005-01-11 10:09:54.000000000 -1000
+++ psmodule/autogen.sh	2005-04-29 10:53:15.083823000 -1000
@@ -0,0 +1,106 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+PROJECT=psmodule
+TEST_TYPE=-f
+FILE=psmodule.pc.in
+
+DIE=0
+
+if [ "`which glibtoolize 2> /dev/null`" != "" ]
+ then LIBTOOLIZE=glibtoolize
+ else LIBTOOLIZE=libtoolize
+fi
+
+ACLOCAL=aclocal
+AUTOHEADER=autoheader
+AUTOMAKE=automake
+AUTOCONF=autoconf
+
+($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $LIBTOOlIZE installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
+        DIE=1
+}
+
+($ACLOCAL --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $ACLOCAL installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+        DIE=1
+}
+
+($AUTOHEADER --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $AUTOHEADER installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
+        DIE=1
+}
+
+($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $AUTOMAKE installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+        DIE=1
+}
+
+($AUTOCONF --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $AUTOCONF installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
+        DIE=1
+}
+
+if test "$DIE" -eq 1; then
+        exit 1
+fi
+
+test $TEST_TYPE $FILE || {
+        echo "You must run this script in the top-level $PROJECT directory"
+        exit 1
+}
+
+if test -z "$*"; then
+        echo "I am going to run ./configure with no arguments - if you wish "
+        echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+$LIBTOOLIZE --copy --force || echo "$LIBTOOlIZE failed"
+$ACLOCAL || echo "$ACLOCAL failed"
+$AUTOHEADER || echo "$AUTOHEADER failed"
+$AUTOMAKE --add-missing --force-missing --copy || echo "$AUTOMAKE failed"
+$AUTOCONF || echo "$AUTOCONF failed"
+
+cd $ORIGDIR
+
+run_configure=true
+for arg in $*; do
+    case $arg in
+        --no-configure)
+            run_configure=false
+            ;;
+        *)
+            ;;
+    esac
+done
+
+if $run_configure; then
+    $srcdir/configure --enable-maintainer-mode "$@"
+    echo
+    echo "Now type 'make' to compile $PROJECT."
+else
+    echo
+    echo "Now run 'configure' and 'make' to compile $PROJECT."
+fi
Index: psmodule/configure.ac
diff -u psmodule/configure.ac:1.1 psmodule/configure.ac:1.2
--- psmodule/configure.ac:1.1	Wed Apr  6 09:26:42 2005
+++ psmodule/configure.ac	Fri Apr 29 10:48:18 2005
@@ -1,7 +1,11 @@
-AC_INIT([psmodule],[0.5.1],[http://www.pan-starrs.org/bugzilla])
+AC_PREREQ(2.59)
 
-AM_CONFIG_HEADER(src/config.h)
-AM_INIT_AUTOMAKE(psmodule, 0.5.1)
+AC_INIT([psmodule],[0.5.1],[http://pan-starrs.ifa.hawaii.edu/bugzilla])
+AC_CONFIG_SRCDIR([psmodule.pc.in])
+
+AM_INIT_AUTOMAKE([1.6 foreign dist-bzip2])
+AM_CONFIG_HEADER([src/config.h])
+AM_MAINTAINER_MODE
 
 AC_LANG(C)
 AC_PROG_CC
@@ -51,11 +55,13 @@
 
 CFLAGS="${CFLAGS=} -Wall -Werror"
 
-AC_CONFIG_FILES([Makefile])
-AC_CONFIG_FILES([src/Makefile])
-AC_CONFIG_FILES([test/Makefile])
-AC_CONFIG_FILES([Doxyfile])
-AC_CONFIG_FILES([psmodule-config])
-AC_CONFIG_FILES([psmodule.pc])
+AC_CONFIG_FILES([
+  Makefile
+  src/Makefile
+  test/Makefile
+  Doxyfile
+  psmodule-config
+  psmodule.pc
+])
 
 AC_OUTPUT
